function [x,w]=gaussquad(n)

if n==1
    x = 0;
    w = 2;
else
    b = zeros(n-1,1);
    for i=1:(n-1)
        b(i)=i/sqrt(4*i*i-1); 
    end
    J=diag(b,-1)+diag(b,1); 
    [ev,ew]=eig(J);
    x=diag(ew); 
    w=(2*(ev(1,:).*ev(1,:)))';
end